> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dittofeed.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /api-l/admin/workspaces/

> Get a workspace.



## OpenAPI

````yaml get /api-l/admin/workspaces/
openapi: 3.1.0
info:
  title: Dittofeed API
  description: Dittofeed API Swagger Documentation
  version: 0.0.1
servers: []
security: []
paths:
  /api-l/admin/workspaces/:
    get:
      tags:
        - Workspace
      description: Get a workspace.
      parameters:
        - schema:
            type: string
          in: query
          name: workspaceId
          required: true
        - schema:
            type: string
          in: query
          name: externalId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      externalId:
                        type: string
                      type:
                        anyOf:
                          - type: string
                            enum:
                              - Root
                          - type: string
                            enum:
                              - Child
                          - type: string
                            enum:
                              - Parent
                      writeKey:
                        type: string
                      domain:
                        type: string
                      status:
                        anyOf:
                          - type: string
                            enum:
                              - Active
                          - type: string
                            enum:
                              - Tombstoned
                          - type: string
                            enum:
                              - Paused
                    required:
                      - id
                      - name
                      - type
                      - writeKey
                      - status
                  - type: 'null'

````